# Thread_Adapter.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Base_Thread_Adapter.h"`
`#include "ace/Thread_Adapter.inl"`

Include dependency graph for Thread_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Thread_Adapter
| Converts a C++ function into a function that can be called from a thread creation routine (e.g., pthread_create() or _beginthreadex()) that expects an extern "C" entry point. This class also makes it possible to transparently provide hooks to register a thread with an ACE_Thread_Manager. More...

## Defines

#define | ACE_INLINE inline

## Detailed Description

Id
  Thread_Adapter.h,v 4.11 2005/10/28 23:55:10 ossama Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>

## Define Documentation

#define ACE_INLINE inline